umbrello 25.08.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Properties | List of all members
CsCodeExample.User Class Reference
Inheritance diagram for CsCodeExample.User:

## Public Member Functions
void | ResetPassword (string pass)
override string | ToString ()
decimal | CalculateSallaryCoeficiente ()

## Properties
string | UserName`[get, set]`
string | Email`[get, set]`
string | Password`[get, set]`
string | Company`[get, set]`
int | YearsOfService`[get, set]`
decimal | Sallary`[get, set]`

## Member Function Documentation

## ◆ CalculateSallaryCoeficiente()

decimal CsCodeExample.User.CalculateSallaryCoeficiente | ( |  | ) |
| inline

Implements CsCodeExample.Employee.

## ◆ ResetPassword()

void CsCodeExample.User.ResetPassword | ( | string | pass | ) |
| inline

## ◆ ToString()

override string CsCodeExample.User.ToString | ( |  | ) |
| inline

## Property Documentation

## ◆ Company

string CsCodeExample.User.Company
| get set

Implements CsCodeExample.Employee.

## ◆ Email

string CsCodeExample.User.Email
| get set

## ◆ Password

string CsCodeExample.User.Password
| get set protected

## ◆ Sallary

decimal CsCodeExample.User.Sallary
| get set

Implements CsCodeExample.Employee.

## ◆ UserName

string CsCodeExample.User.UserName
| get set

## ◆ YearsOfService

int CsCodeExample.User.YearsOfService
| get set

Implements CsCodeExample.Employee.

The documentation for this class was generated from the following file:

- test/import/csharp/CsCodeExample-ClassExample/User.cs